Debian Bug report logs - #636108
lightdm: does not source ~/.profile

version graph

Package: lightdm; Maintainer for lightdm is Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>; Source for lightdm is src:lightdm.

Reported by: Andrei POPESCU <andreimpopescu@gmail.com>

Date: Sun, 31 Jul 2011 09:03:01 UTC

Severity: minor

Tags: wontfix

Found in versions lightdm/0.9.2-2, lightdm/0.9.2-3

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, andreimpopescu@gmail.com, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#636108; Package lightdm. (Sun, 31 Jul 2011 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei POPESCU <andreimpopescu@gmail.com>:
New Bug report received and forwarded. Copy sent to andreimpopescu@gmail.com, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sun, 31 Jul 2011 09:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lightdm: does not source ~/.profile
Date: Sun, 31 Jul 2011 12:01:59 +0300
Package: lightdm
Version: 0.9.2-2
Severity: minor

Hello,

lightdm is not sourcing ~/.profile like other dm do (at least gdm2 and 
slim).

Thanks,
Andrei

-- System Information:
Debian Release: wheezy/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=ro_RO.UTF-8, LC_CTYPE=ro_RO.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lightdm depends on:
ii  adduser                       3.113      add and remove users and groups
ii  consolekit                    0.4.5-1    framework for defining and trackin
ii  dbus                          1.4.14-1   simple interprocess messaging syst
ii  debconf [debconf-2.0]         1.5.41     Debian configuration management sy
ii  libc6                         2.13-11    Embedded GNU C Library: Shared lib
ii  libglib2.0-0                  2.28.6-1   The GLib library of C routines
ii  libpam0g                      1.1.3-2    Pluggable Authentication Modules l
ii  libxcb1                       1.7-3      X C Binding
ii  libxdmcp6                     1:1.1.0-3  X11 Display Manager Control Protoc
ii  lightdm-gtk-greeter           0.9.2-2    simple display manager (GTK+ greet

Versions of packages lightdm recommends:
ii  xserver-xorg                  1:7.6+7    X.Org X server

lightdm suggests no packages.

-- debconf information:
  lightdm/daemon_name: /usr/sbin/lightdm
* shared/default-x-display-manager: lightdm




Added tag(s) wontfix. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 31 Jul 2011 12:51:25 GMT) Full text and rfc822 format available.

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sun, 31 Jul 2011 12:51:29 GMT) Full text and rfc822 format available.

Notification sent to Andrei POPESCU <andreimpopescu@gmail.com>:
Bug acknowledged by developer. (Sun, 31 Jul 2011 12:51:33 GMT) Full text and rfc822 format available.

Message #12 received at 636108-done@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Andrei POPESCU <andreimpopescu@gmail.com>, 636108-done@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#636108: lightdm: does not source ~/.profile
Date: Sun, 31 Jul 2011 14:40:09 +0200
tag 636108 wontfix
thanks

On dim., 2011-07-31 at 12:01 +0300, Andrei POPESCU wrote:
> lightdm is not sourcing ~/.profile like other dm do (at least gdm2 and 
> slim). 

# /etc/profile: system-wide .profile file for the Bourne shell (sh(1))          
# and Bourne compatible shells (bash(1), ksh(1), ash(1), ...).

I don't think it's really intended to be sourced by a dm. If you still
want the behavior, put stuff in .xsessionrc (sourced by scripts
in /etc/X11/Xsession.d).

Regards,
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#636108; Package lightdm. (Mon, 01 Aug 2011 08:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei POPESCU <andreimpopescu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Mon, 01 Aug 2011 08:12:04 GMT) Full text and rfc822 format available.

Message #17 received at 636108@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 636108@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#636108: lightdm: does not source ~/.profile
Date: Mon, 1 Aug 2011 11:08:10 +0300
[Message part 1 (text/plain, inline)]
On Du, 31 iul 11, 14:40:09, Yves-Alexis Perez wrote:
> tag 636108 wontfix
> thanks
> 
> On dim., 2011-07-31 at 12:01 +0300, Andrei POPESCU wrote:
> > lightdm is not sourcing ~/.profile like other dm do (at least gdm2 and 
> > slim). 
> 
> # /etc/profile: system-wide .profile file for the Bourne shell (sh(1))          
> # and Bourne compatible shells (bash(1), ksh(1), ash(1), ...).
> 
> I don't think it's really intended to be sourced by a dm. If you still
> want the behavior, put stuff in .xsessionrc (sourced by scripts
> in /etc/X11/Xsession.d).

I won't comment on your statement that the dm is not the right place, 
but I strongly believe ~/.profile should be sourced from somewhere by 
*default*, just as it is done on a console login.

Do you mind if I move the discussion on -devel?

Regards,
Andrei
-- 
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#636108; Package lightdm. (Mon, 01 Aug 2011 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Mon, 01 Aug 2011 08:18:04 GMT) Full text and rfc822 format available.

Message #22 received at 636108@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Andrei POPESCU <andreimpopescu@gmail.com>
Cc: 636108@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#636108: lightdm: does not source ~/.profile
Date: Mon, 01 Aug 2011 10:14:35 +0200
[Message part 1 (text/plain, inline)]
On lun., 2011-08-01 at 11:08 +0300, Andrei POPESCU wrote:
> I won't comment on your statement that the dm is not the right place, 
> but I strongly believe ~/.profile should be sourced from somewhere by 
> *default*, just as it is done on a console login.

It's read by bash (and zsh and few other shells I guess).
> 
> Do you mind if I move the discussion on -devel? 

No, go ahead.
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#636108; Package lightdm. (Wed, 03 Aug 2011 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei POPESCU <andreimpopescu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 03 Aug 2011 09:06:07 GMT) Full text and rfc822 format available.

Message #27 received at 636108@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: debian-devel@lists.debian.org
Cc: 636108@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#636108: lightdm: does not source ~/.profile
Date: Wed, 3 Aug 2011 12:03:30 +0300
[Message part 1 (text/plain, inline)]
[Bcc'd all *dm maintainers and debian-x, in case they want to comment, 
apologize if you get this multiple times]

Dear Debian Developers,

Background: most common ways[1] of logging in to a Debian system involve 
executing or sourcing ~/.profile at some point, but not all of them.

[1] tested gdm, slim, console login, from memory I recall kdm and gdm3 
doing the same

On Lu, 01 aug 11, 10:14:35, Yves-Alexis Perez wrote:
> On lun., 2011-08-01 at 11:08 +0300, Andrei POPESCU wrote:
> > I won't comment on your statement that the dm is not the right place, 
> > but I strongly believe ~/.profile should be sourced from somewhere by 
> > *default*, just as it is done on a console login.
> 
> It's read by bash (and zsh and few other shells I guess).
> > 
> > Do you mind if I move the discussion on -devel? 
> 
> No, go ahead.
> -- 
> Yves-Alexis

IMVHO I think it shouldn't matter how a user logs in, the environment 
should be as much as possible identical, but I'm not sure this belongs 
in the *dm. What do you think?

Kind regards,
Andrei
-- 
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#636108; Package lightdm. (Tue, 23 Aug 2011 04:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Éric Araujo <merwok@netwok.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 23 Aug 2011 04:27:07 GMT) Full text and rfc822 format available.

Message #32 received at 636108@bugs.debian.org (full text, mbox):

From: Éric Araujo <merwok@netwok.org>
To: Debian Bug Tracking System <636108@bugs.debian.org>
Subject: Re: sourcing .profile
Date: Tue, 23 Aug 2011 06:23:17 +0200
Package: lightdm
Version: 0.9.2-3
Followup-For: Bug #636108

Hi,

FTR upstream now sources .profile:
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/794315

IIUC the main argument was that it was a regression from the Ubuntu viewpoint,
as the previous default DM sourced the file.  IOW, the change does not
necessarily mean that the developers agree this is a lightdm bug, so the
Debian maintainer may choose to diverge; I would hope not :)



-- System Information:
Debian Release: wheezy
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lightdm depends on:
ii  adduser                       3.113      add and remove users and groups
ii  consolekit                    0.4.5-1    framework for defining and trackin
ii  dbus                          1.4.14-1   simple interprocess messaging syst
ii  debconf [debconf-2.0]         1.5.40     Debian configuration management sy
ii  libc6                         2.13-16    Embedded GNU C Library: Shared lib
ii  libglib2.0-0                  2.28.6-1   The GLib library of C routines
ii  libpam0g                      1.1.3-2    Pluggable Authentication Modules l
ii  libxcb1                       1.7-3      X C Binding
ii  libxdmcp6                     1:1.1.0-3  X11 Display Manager Control Protoc
ii  lightdm-gtk-greeter           0.9.2-3    simple display manager (GTK+ greet

Versions of packages lightdm recommends:
ii  xserver-xorg                  1:7.6+8    X.Org X server

lightdm suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#636108; Package lightdm. (Tue, 23 Aug 2011 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 23 Aug 2011 05:39:03 GMT) Full text and rfc822 format available.

Message #37 received at 636108@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Éric Araujo <merwok@netwok.org>, 636108@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#636108: sourcing .profile
Date: Tue, 23 Aug 2011 07:37:27 +0200
[Message part 1 (text/plain, inline)]
On mar., 2011-08-23 at 06:23 +0200, Éric Araujo wrote:
> FTR upstream now sources .profile:
> https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/794315
> 
> IIUC the main argument was that it was a regression from the Ubuntu viewpoint,
> as the previous default DM sourced the file.  IOW, the change does not
> necessarily mean that the developers agree this is a lightdm bug, so the
> Debian maintainer may choose to diverge; I would hope not :)
> 

I won't diverge from upstream but this is an Ubuntu change. And even if
upstream integrates that change, I still think it's a bad idea. .profile
is *not* for graphical shells (use .xsessionrc for that, at least on
Debian).

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#636108; Package lightdm. (Tue, 23 Aug 2011 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Éric Araujo <merwok@netwok.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 23 Aug 2011 05:51:03 GMT) Full text and rfc822 format available.

Message #42 received at 636108@bugs.debian.org (full text, mbox):

From: Éric Araujo <merwok@netwok.org>
Cc: 636108@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#636108: sourcing .profile
Date: Tue, 23 Aug 2011 07:46:04 +0200
Le 23/08/2011 07:37, Yves-Alexis Perez a écrit :
> I won't diverge from upstream but this is an Ubuntu change.
Ah, I got confused by Launchpad again.

> .profile is *not* for graphical shells (use .xsessionrc for that,
> at least on Debian).
I guess I could source /etc/profile and ~/.profile in an .xsessionrc.  I
dislike having to maintain a number of dotfiles (I used to have an
.xinitrc in the past and was content to remove it in favor of automatic
configuration and autostart files) for what looks like the same one
thing in my mind (setting up some environment variables), but I can live
with it.

Best regards




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Sep 2011 07:33:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:50:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.